%define anolis_release 1

Name:           diffutils
Version:        3.9
Release:        %{anolis_release}%{?dist}
Summary:        GNU collection of diff utilities

URL:            https://www.gnu.org/software/diffutils/diffutils.html
Source:         https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
License:        GPLv3+

Patch1:         diffutils-cmp-s-empty.patch
Patch2:         diffutils-i18n.patch
Patch4:         test-colors-avoid-test-failure-on-mock.patch

Provides:       bundled(gnulib)
BuildRequires:  gcc
BuildRequires:  help2man
BuildRequires:  autoconf, automake, texinfo
BuildRequires:  make

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

Install diffutils if you need to compare text files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build PR_PROGRAM=%{_bindir}/pr

%install
%make_install

%find_lang %{name}

%generate_compatibility_deps

%check
>gnulib-tests/test-update-copyright.sh
make check

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/*/*
%{_infodir}/diffutils.info*

%files doc
%doc NEWS README

%changelog
* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 3.9-1
- New version 3.9

* Tue Jan 03 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.8-3
- update spec file
- add some patches

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.8-2
- add doc package

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 3.8-1
- Init for Anolis OS 23
